<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [universityCourse](./bitburner.singularity.universitycourse.md)

## Singularity.universityCourse() method

Take university class.

**Signature:**

```typescript
universityCourse(universityName: UniversityLocationName, courseName: UniversityClassType, focus?: boolean): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

universityName


</td><td>

[UniversityLocationName](./bitburner.universitylocationname.md)


</td><td>

Name of university. You must be in the correct city for whatever university you specify.


</td></tr>
<tr><td>

courseName


</td><td>

[UniversityClassType](./bitburner.universityclasstype.md)


</td><td>

Name of course.


</td></tr>
<tr><td>

focus


</td><td>

boolean


</td><td>

_(Optional)_ Acquire player focus on this class. Optional. Defaults to true.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if action is successfully started, false otherwise.

## Remarks

RAM cost: 2 GB \* 16/4/1

This function will automatically set you to start taking a course at a university. If you are already in the middle of some “working” action (such as working at a company, for a faction, or on a program), then running this function will automatically cancel that action and give you your earnings.

The cost and experience gains for all of these universities and classes are the same as if you were to manually visit and take these classes.

